<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XLoadInformation StructType
 * @subpackage Structs
 */
class XLoadInformation extends AbstractStructBase
{
    /**
     * The _
     * @var string
     */
    public $_;
    /**
     * The special
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $special;
    /**
     * Constructor method for XLoadInformation
     * @uses XLoadInformation::set_()
     * @uses XLoadInformation::setSpecial()
     * @param string $_
     * @param string $special
     */
    public function __construct($_ = null, $special = null)
    {
        $this
            ->set_($_)
            ->setSpecial($special);
    }
    /**
     * Get _ value
     * @return string|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param string $_
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLoadInformation
     */
    public function set_($_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Get special value
     * @return string|null
     */
    public function getSpecial()
    {
        return $this->special;
    }
    /**
     * Set special value
     * @param string $special
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLoadInformation
     */
    public function setSpecial($special = null)
    {
        $this->special = $special;
        return $this;
    }
}
